Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.streamingmarkupsupport
[Java] Class StreamingMarkupWriter

    java.lang.Object
      java.io.Writer
          groovy.xml.streamingmarkupsupport.StreamingMarkupWriter

    public class StreamingMarkupWriter
    extends Writer

Field Summary
`protected CharsetEncoder` | `encoder`
`protected String` | `encoding`
`protected boolean` | `encodingKnown`
`protected boolean` | `haveHighSurrogate`
`protected StringBuffer` | `surrogatePair`
`protected Writer` | `writer`
`protected boolean` | `writingAttribute`

Constructor Summary
`StreamingMarkupWriter(Writer writer, String encoding)`
`StreamingMarkupWriter(Writer writer, String encoding, boolean useDoubleQuotes)`
`StreamingMarkupWriter(Writer writer)`

Method Summary
`void` | `close()`
`Writer` | `escaped()`
`void` | `flush()`
`String` | `getEncoding()`
`boolean` | `getEncodingKnown()`
`void` | `setWritingAttribute(boolean writingAttribute)`
`Writer` | `unescaped()`
`void` | `write(int c)`
`void` | `write(char[] cbuf, int off, int len)`

Methods inherited from class Writer
append, append, append, append, append, append, write, write, write, write, write, close, flush, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### encoder

    protected final CharsetEncoder encoder

### encoding

    protected final String encoding

### encodingKnown

    protected boolean encodingKnown

### haveHighSurrogate

    protected boolean haveHighSurrogate

### surrogatePair

    protected StringBuffer surrogatePair

### writer

    protected final Writer writer

### writingAttribute

    protected boolean writingAttribute

Constructor Detail

### StreamingMarkupWriter

    public StreamingMarkupWriter(Writer writer, String encoding)

### StreamingMarkupWriter

    public StreamingMarkupWriter(Writer writer, String encoding, boolean useDoubleQuotes)

### StreamingMarkupWriter

    public StreamingMarkupWriter(Writer writer)

Method Detail

### close

    public void close()

### escaped

    public Writer escaped()

### flush

    public void flush()

### getEncoding

    public String getEncoding()

### getEncodingKnown

    public boolean getEncodingKnown()

### setWritingAttribute

    public void setWritingAttribute(boolean writingAttribute)

### unescaped

    public Writer unescaped()

### write

    public void write(int c)

### write

    public void write(char[] cbuf, int off, int len)

Copyright © 2003-2010 The Codehaus. All rights reserved.